Loading...
Searching...
No Matches
dfs.h File Reference
Algorithms » Graph Search
`#include <lemon/list_graph.h>`
`#include <lemon/bits/path_dump.h>`
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/maps.h>`
`#include <lemon/path.h>`

## Classes

struct | DfsDefaultTraits< GR >
| Default traits class of Dfs class. More...
class | Dfs< GR, TR >
| DFS algorithm class. More...
struct | Dfs< GR, TR >::SetPredMap< T >
| Named parameter for setting More...
struct | Dfs< GR, TR >::SetDistMap< T >
| Named parameter for setting More...
struct | Dfs< GR, TR >::SetReachedMap< T >
| Named parameter for setting More...
struct | Dfs< GR, TR >::SetProcessedMap< T >
| Named parameter for setting More...
struct | Dfs< GR, TR >::SetStandardProcessedMap
| Named parameter for setting More...
struct | DfsWizardDefaultTraits< GR >
| Default traits class of dfs() function. More...
class | DfsWizardBase< GR >
| Default traits class used by DfsWizard. More...
class | DfsWizard< TR >
| Auxiliary class for the function-type interface of DFS algorithm. More...
struct | DfsVisitor< GR >
| Visitor class for DFS. More...
struct | DfsVisitDefaultTraits< GR >
| Default traits class of DfsVisit class. More...
class | DfsVisit< GR, VS, TR >
| DFS algorithm class with visitor interface. More...
struct | DfsVisit< GR, VS, TR >::SetReachedMap< T >
| Named parameter for setting ReachedMap type. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<class GR>
DfsWizard< DfsWizardBase< GR > > | dfs (const GR &digraph)
| Function-type interface for DFS algorithm.